#ifndef PW_VISUAL_RENDERER_HPP
#define PW_VISUAL_RENDERER_HPP

//#include <pw/scene/component.hpp>
//#include <pw/scene/camera.hpp>

#include <pw/core/matrix.hpp>
#include <pw/core/mesh.hpp>

#include <map>

namespace pw {

class renderer {
public:

	void render(const mesh& mesh,
				const matrix4x4& model_matrix,
				const matrix4x4& view_matrix,
				const matrix4x4& projection_matrix
				);

protected:

	struct impl;
	std::unique_ptr<impl> _impl;

};

}


#endif
